clear 
%!cp intercomparison/intercomparison.original_atm.tropical.dat intercomparison.original_atm.dat
load intercomparison.original_atm.dat
data = intercomparison ;
clear intercomparison

level_no = data(:,1) ;    
level_km = data(:,2) ;   
press_mb = data(:,3) ;      
temp_k = data(:,4) ;    
ozone_g_g = data(:,5) ;
layer_no = data(:,6)  ; 
mid_layer_km = data(:,7)  ;
density_kg_m3 = data(:,8) ;   
cf_liq = data(:,9)        ;
cf_ice = data(:,10) ;
cf_both = data(:,11)  ;    
acf_dn_liq = data(:,12)  ;  
acf_dn_ice = data(:,13) ; 
acf_dn_both = data(:,14)  ;  
acf_up_liq = data(:,15) ;
acf_up_ice = data(:,16)  ;
acf_up_both = data(:,17) ;   
mr_liq = data(:,18) ;       
mr_ice = data(:,19)  ;     
mr_both = data(:,20) ;
std_mr_liq = data(:,21)  ;  
std_mr_ice = data(:,22)   ;
std_mr_both = data(:,23)  ; 
log_mr_liq = data(:,24)   ; 
log_mr_ice = data(:,25) ;
log_mr_both = data(:,26)  ;   
wv_mr_clr = data(:,27)     ; 
wv_mr_cld = data(:,28)  ;   
wv_mr_all = data(:,29) ;

level_km_b_to_t(1) = 0.000 
press_mb_b_to_t(1) = 1013.000 
temp_k_b_to_t(1) = 300.000
ozone_g_g_b_to_t(1) = 0.4770000E-07

mx_size = size(data)
clear data

i_bottom = 0

% changing order from botom to top **********************************************
if i_bottom == 1
  for i = 1:length(layer_no)
    level_km_temp(i) = level_km(length(level_no) - i + 1) ;
    wv_mr_all_temp(i) = wv_mr_all(length(level_no) - i + 1) ;
    layer_no_temp(i) = layer_no(length(level_no) - i + 1) ;
    mid_layer_km_temp(i) = mid_layer_km(length(level_no) - i + 1) ;

    level_km_b_to_t(i+1) = level_km(length(level_no) - i + 1) ;
    press_mb_b_to_t(i+1) = press_mb(length(level_no) - i + 1) ;
    temp_k_b_to_t(i+1) = temp_k(length(level_no) - i + 1) ;
    ozone_g_g_b_to_t(i+1) = ozone_g_g(length(level_no) - i + 1) ;
  end

  level_km(1) = 0.0 ;
  level_km(2:length(level_km_temp)) = level_km_temp(1:length(level_km_temp)-1) ;
  wv_mr_all = wv_mr_all_temp ;
  layer_no = layer_no_temp ;
  mid_layer_km = mid_layer_km_temp ;


% for water vapor
  [wv_mr_all_level] = linear_interpolation_layer(level_km, wv_mr_all, layer_no, mid_layer_km) ;


  wv_mr_all_level_b_to_t = wv_mr_all_level ;

% **********************************************************************************
else
% for water vapor
  [wv_mr_all_level] = linear_interpolation_layer(level_km, wv_mr_all, layer_no, mid_layer_km) ;


% changing order from botom to top
  for i = 1:length(level_no)+1
    wv_mr_all_level_b_to_t(i) = wv_mr_all_level(length(level_no) - i + 2) ;
    if i >= 2
      level_km_b_to_t(i) = level_km(length(level_no) - i + 2) ;
      press_mb_b_to_t(i) = press_mb(length(level_no) - i + 2) ;
      temp_k_b_to_t(i) = temp_k(length(level_no) - i + 2) ;
      ozone_g_g_b_to_t(i) = ozone_g_g(length(level_no) - i + 2) ;
    end
  end
end


% output to a file   *****************************************************
y(:,1) = level_km_b_to_t' ;
y(:,2) = press_mb_b_to_t' ;
y(:,3) = temp_k_b_to_t' ;
y(:,4) = wv_mr_all_level_b_to_t' ;
y(:,5) = ozone_g_g_b_to_t' ;

fid = fopen('temp.atm','w');
fprintf(fid,'%12.3f %12.3f %12.3f %12.3e %12.3e\n',y');
fclose(fid)

yy_temp = 0:1:length(level_km_b_to_t)-1 ;
yy(:,1) = yy_temp' ;
yy(:,2) = y(:,1) .* 1000.0 ;
yy(:,3) = 1 ;

fid = fopen('temp.photonspase.dat','w');
fprintf(fid,'%5d %10.1f %5d\n',yy');
fclose(fid)


% plotting atmosphere ***************************************************************

plot(wv_mr_all, mid_layer_km, 'r-', wv_mr_all_level_b_to_t', level_km_b_to_t', 'o')

% ***************************************************************

for i = 1:length(level_km)
  if i == length(level_km)
    delta_h(i) = level_km(i) * 1.0e3 ;
  else
    delta_h(i) = (level_km(i) - level_km(i+1)) * 1.0e3 ;
  end
end

% for cloud optical properties

r_eff(1:length(mid_layer_km)) = 10.0e-6 ;

lwc_mr_liq = mr_liq .* density_kg_m3 ;
lwc_mr_ice = mr_ice .* density_kg_m3  ;
lwc_mr_both = mr_both .* density_kg_m3  ;

std_lwc_mr_liq = std_mr_liq .* density_kg_m3 ;
std_lwc_mr_ice = std_mr_ice .* density_kg_m3  ;
std_lwc_mr_both = std_mr_both .* density_kg_m3  ;

lwp_mr_liq = mr_liq .* density_kg_m3 .* delta_h' ;
lwp_mr_ice = mr_ice .* density_kg_m3 .* delta_h' ;
lwp_mr_both = mr_both .* density_kg_m3 .* delta_h' ;

lwc_log_mr_liq = log(mr_liq) + log(density_kg_m3) ;
lwc_log_mr_ice = log(mr_ice) + log(density_kg_m3) ;
lwc_log_mr_both = log(mr_both) + log(density_kg_m3) ;

chi_liq = lwc_log_mr_liq - log(lwc_mr_liq) ;
chi_ice = lwc_log_mr_ice - log(lwc_mr_ice) ;
chi_both = lwc_log_mr_both - log(lwc_mr_both) ;

chi_liq = exp(chi_liq) ;
chi_ice = exp(chi_ice) ;
chi_both = exp(chi_both) ;

% 1.0e6 is density of water 1.0e3 kgm^-3 and to convert lwc from g to kg

n_mr_liq = (3.0 .* lwc_mr_liq) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;
n_mr_ice = (3.0 .* lwc_mr_ice) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;
n_mr_both = (3.0 .* lwc_mr_both) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;

std_n_mr_liq = (3.0 .* std_lwc_mr_liq) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;
std_n_mr_ice = (3.0 .* std_lwc_mr_ice) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;
std_n_mr_both = (3.0 .* std_lwc_mr_both) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;

n_log_mr_liq = (3.0 .* exp(lwc_log_mr_liq)) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;
n_log_mr_ice = (3.0 .* exp(lwc_log_mr_ice)) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;
n_log_mr_both = (3.0 .* exp(lwc_log_mr_both)) ./ (pi * 4.0 * 1.0e6 * (1.0e-5/1.13)^3) ;

n_mr_w_cf_liq = n_mr_liq .* cf_liq ;
n_mr_w_cf_ice = n_mr_ice .* cf_ice ;
n_mr_w_cf_both = n_mr_both .* cf_both ;

n_log_mr_w_cf_liq = n_log_mr_liq .* cf_liq ;
n_log_mr_w_cf_ice = n_log_mr_ice .* cf_ice ;
n_log_mr_w_cf_both = n_log_mr_both .* cf_both ;


for i = 1:length(lwc_mr_liq)
  if log_mr_liq(i) == 0.0 & mr_liq(i) ~= 0.0
    tau_eff_liq(i) = 0.15 * lwp_mr_liq(i) ;
    tau_log_liq(i) = 0.15 * lwp_mr_liq(i) ;
    tau_eff_mie_liq(i) = 0.4586e-9 * n_mr_liq(i) * delta_h(i);
    tau_log_mie_liq(i) = 0.4586e-9 * n_mr_liq(i) * delta_h(i);
    tau_eff_w_cf_mie_liq(i) = 0.4586e-9 * n_mr_w_cf_liq(i) * delta_h(i);
    tau_log_w_cf_mie_liq(i) = 0.4586e-9 * n_mr_w_cf_liq(i) * delta_h(i);
  else
    tau_eff_liq(i) = 0.15 * lwp_mr_liq(i) * chi_liq(i) ;
    tau_log_liq(i) = 0.15 * exp(lwc_log_mr_liq(i)) * delta_h(i);
    tau_eff_mie_liq(i) = 0.4586e-9 * n_mr_liq(i) * delta_h(i);
    tau_log_mie_liq(i) = 0.4586e-9 * n_log_mr_liq(i) * delta_h(i);
    tau_eff_w_cf_mie_liq(i) = 0.4586e-9 * n_mr_w_cf_liq(i) * delta_h(i);
    tau_log_w_cf_mie_liq(i) = 0.4586e-9 * n_log_mr_w_cf_liq(i) * delta_h(i);
  end
end

for i = 1:length(lwc_mr_ice)
  if log_mr_ice(i) == 0.0 & mr_ice(i) ~= 0.0
    tau_eff_ice(i) = 0.15 * lwp_mr_ice(i) ;
    tau_log_ice(i) = 0.15 * lwp_mr_ice(i) ;
    tau_eff_mie_ice(i) = 0.4586e-9 * n_mr_ice(i) * delta_h(i);
    tau_log_mie_ice(i) = 0.4586e-9 * n_mr_ice(i) * delta_h(i);
    tau_eff_w_cf_mie_ice(i) = 0.4586e-9 * n_mr_w_cf_ice(i) * delta_h(i);
    tau_log_w_cf_mie_ice(i) = 0.4586e-9 * n_mr_w_cf_ice(i) * delta_h(i);
  else
    tau_eff_ice(i) = 0.15 * lwp_mr_ice(i) * chi_ice(i) ;
    tau_log_ice(i) = 0.15 * exp(lwc_log_mr_ice(i)) * delta_h(i) ;
    tau_eff_mie_ice(i) = 0.4586e-9 * n_mr_ice(i) * delta_h(i);
    tau_log_mie_ice(i) = 0.4586e-9 * n_log_mr_ice(i) * delta_h(i);
    tau_eff_w_cf_mie_ice(i) = 0.4586e-9 * n_mr_w_cf_ice(i) * delta_h(i);
    tau_log_w_cf_mie_ice(i) = 0.4586e-9 * n_log_mr_w_cf_ice(i) * delta_h(i);
  end
end

for i = 1:length(lwc_mr_both)
  if log_mr_both(i) == 0.0 & mr_both(i) ~= 0.0
    tau_eff_both(i) = 0.15 * lwp_mr_both(i) ;
    tau_log_both(i) = 0.15 * lwp_mr_both(i) ;
    tau_eff_mie_both(i) = 0.4586e-9 * n_mr_both(i) * delta_h(i);
    tau_log_mie_both(i) = 0.4586e-9 * n_mr_both(i) * delta_h(i);
    tau_eff_w_cf_mie_both(i) = 0.4586e-9 * n_mr_w_cf_both(i) * delta_h(i);
    tau_log_w_cf_mie_both(i) = 0.4586e-9 * n_mr_w_cf_both(i) * delta_h(i);
  else
    tau_eff_both(i) = 0.15 * lwp_mr_both(i) * chi_both(i) ;
    tau_log_both(i) = 0.15 * exp(lwc_log_mr_both(i)) * delta_h(i) ;
    tau_eff_mie_both(i) = 0.4586e-9 * n_mr_both(i) * delta_h(i);
    tau_log_mie_both(i) = 0.4586e-9 * n_log_mr_both(i) * delta_h(i);
    tau_eff_w_cf_mie_both(i) = 0.4586e-9 * n_mr_w_cf_both(i) * delta_h(i);
    tau_log_w_cf_mie_both(i) = 0.4586e-9 * n_log_mr_w_cf_both(i) * delta_h(i);
  end
end


% output to a file   *****************************************************
clear y

for i = 1:length(mid_layer_km)
  if lwc_mr_both(length(mid_layer_km) - i + 1) > 0.0
    y(i,1) = level_km_b_to_t(i) * 1.0e3 ;
    y(i,2) = level_km_b_to_t(i+1) * 1.0e3 ;
    y(i,3) = r_eff(length(mid_layer_km) - i + 1) ;
    y(i,4) = n_mr_liq(length(mid_layer_km) - i + 1) ;
    y(i,5) = std_n_mr_liq(length(mid_layer_km) - i + 1) ;
    y(i,6) = cf_liq(length(mid_layer_km) - i + 1) ;
  end
end

fid = fopen('temp.cloudproduct.dat','w');
fprintf(fid,'%15.5e %15.5e %15.5e %15.5e %15.5e %15.5e\n',y');
fclose(fid)

%**************************************************************************

f1 = figure
subplot(2,1,1)
f1 = plot(tau_log_liq, mid_layer_km, 'r-', tau_log_w_cf_mie_liq, mid_layer_km, 'g-')

subplot(2,1,2)
f1 = plot(tau_log_both, mid_layer_km, 'r-', tau_log_w_cf_mie_both, mid_layer_km, 'g-')

f2 = figure
subplot(2,1,1)
f1 = plot((n_mr_liq ./ std_n_mr_liq).^2, mid_layer_km)

subplot(2,1,2)
f1 = plot((n_log_mr_liq ./ std_n_mr_liq).^2, mid_layer_km)
