function [level_val] = linear_interpolation_layer(level_km, layer_value, layer_no, mid_layer_km)

bmx(1:length(layer_no),1:length(layer_no)+1) = 0.0 ;


% The first level
frctn = (mid_layer_km(1) - level_km(1)) / (level_km(2) - level_km(1)) ;
level_val(1) = (layer_value(1) - frctn * layer_value(2)) / (1.0 - frctn) ;


for i = 1:length(layer_no) - 1 
  frctn = (mid_layer_km(i) - level_km(i)) / (level_km(i+1) - level_km(i)) ;
  bmx(i,i) = 1.0 - frctn ;
  bmx(i,i+1) = frctn ;
  level_val(i+1) = (layer_value(i) + (frctn - 1.0) * level_val(i)) / frctn ;
end

% The last level
frctn = (mid_layer_km(length(layer_no)) - level_km(length(layer_no))) / (0.0 - level_km(length(layer_no))) ;

level_val(length(layer_no)+1) = (layer_value(length(layer_no)) + (frctn - 1.0) * level_val(length(layer_no))) / frctn ;

bmx(length(layer_no),length(layer_no)) = 1.0 - frctn ;
bmx(length(layer_no),length(layer_no)+1) = frctn ;

amx = layer_value ;
%cmx = inv(bmx'*bmx)*bmx'*amx ;
