      program change_omega

c This code takes phase function file as an input and modify single
c scattering albedos.

      parameter(iwave=32)

      real wave(iwave), rmoms(5)

      character phase_function_file*100, s_dummy*1

      data wave /      0.2563,   0.2779,   0.2951,   0.3173,   
     &                 0.3451,   0.3850,   0.4298,   0.4849, 
     &                 0.5288,   0.5448,   0.5581,   0.5858,   
     &                 0.6150,   0.6459,   0.6754,   0.6943,  
     &                 0.7235,   0.7670,   0.8180,   0.8667,  
     &                 0.9319,   1.0103,   1.1200,   1.3551,  
     &                 1.5647,   1.7891,   2.0591,   2.2143,  
     &                 2.6385,   3.3187,   3.8132,   4.2983  /


      open(unit=12,file='in.lundholm_fit.dat',
     &  status='old')

      read(12,*) alpha_tot
      read(12,*) beta_tot
     
      close(unit=12)

      alpha_scat = 0.0054
      beta_scat = 3.8665



      call getarg(1, phase_function_file)


 
      open(unit=10,file=phase_function_file,
     &  status='old')

      open(unit=11,file='out.change_omega.dat',
     &  status='unknown')

      i = 1

 1000 read(10,*,end=2000) s_dummy, alamb, rgn, sigmag, rfrs, rfis,
     &   n_moment, asy, omega, ext, scat, abs, anorm

      do 1100 j=1,5
        read(10,*,err=501) rmoms(j) 
 1100 continue

      tau_scat = alpha_scat * wave(i) **(-beta_scat)
      tau_tot = alpha_tot * wave(i) **(-beta_tot)
      omega_new = tau_scat / tau_tot
      scat_new = ext * omega_new
      abs_new = ext - scat_new 

      if (omega_new .gt. omega) then
        omega_new = omega
        scat_new = scat
        abs_new = abs
      end if

      write(11,600) alamb, rgn, sigmag, rfrs, rfis,
     &   n_moment, asy, omega_new, ext, scat_new, abs_new, anorm

      do 1200 j=1,5
        write(11, 601,err=501) rmoms(j) 
 1200 continue
 
      i = i + 1
      goto 1000

 2000 close(unit=10)
      close(unit=11)

      stop

  600 format('@', f10.4, 4e15.5, i12, 2f12.5, 3e15.5, f12.5)
  601 format(e15.5)

  501 print*, 'error writing to file'

      end


