      subroutine hunt(xx,n,x,jlo)

c NUmarical recipes (1986), W. H. Press, B. P. Flannery, S. A. Teukolsky
c W. T. Vettering, Cambridge university press, p91

c Given an array xx of length n, and given a value x, returns a vcalue
c jlo such that x is between xx(jlo) and xx(jlo+1). xx must be monotonic
c either increasing or decreasing. jlo=0 or jlo=n is returned to indicate
c that x is out of range. ljo on input is taken as the initial guess for
c jlo on output.

      dimension xx(n)
      real x
      logical ascnd

c True if asscending order of table, false otherwise.
      ascnd = xx(n) .gt. xx(1)

c input guess not useful. Go immediately to bisection.
      if (jlo .le. 0 .or. jlo .gt. n) then 
        jlo = 0
        jhi = n + 1
        go to 3001
      endif

c Set the hunting increment.
      inc = 1
      
c Hunt up
      if (x .ge. xx(jlo) .eqv. ascnd) then
 1001   jhi = jlo + inc

c Done hunting, since off end of table.
        if (jhi .gt. n) then
          jhi = n + 1

c Not done hunting
        else if (x .ge. xx(jhi) .eqv. ascnd) then
          jlo = jhi

c so double the increment
        inc = inc + inc

c and try again
        go to 1001

c Done hunting, value bracketed.
        endif

c Hunt doun
      else
        jhi = jlo
 2001   jlo = jhi - inc

c Done hunting, since off end of table.
        if (jlo .lt. 1) then
          jlo = 0

c not done hunting
        else if (x .lt. xx(jlo) .eqv. ascnd) then
          jhi = jlo

c so double the increment
          inc = inc + inc

c and try again
          go to 2001
        endif
      endif

c Hunt is done, so begin the final bisection phase
 3001 if (jhi-jlo .eq. 1) return
      jm = (jhi + jlo) / 2
      if (x .gt. xx(jm) .eqv. ascnd) then
        jlo = jm
      else
        jhi = jm
      endif
      go to 3001
      end
    
