      program lundholm_fit

c This code creates input file based on the output file generated by
c mk_in_mf_sunview, in.mk_sunview.dat.

      parameter(idata = 13)

      real lat, long
      real time(idata), alpha(idata), beta(idata)

c      character aerosol_d_file*100

      data time / 47270.0, 49669.0, 52069.0, 54470.0, 56870.0,
     &            59270.0, 61710.0, 67790.0, 75849.0, 78249.0, 
     &            80650.0, 83050.0, 85449.0 /

      data alpha / 0.0398, 0.0444, 0.0475, 0.0479, 0.0491,
     &             0.0521, 0.0559, 0.0534, 0.0435, 0.0397,
     &             0.0375, 0.0349, 0.0366 /

      data beta / 1.5008, 1.4584, 1.4864, 1.4970, 1.4406, 
     &            1.4610, 1.4969, 1.4296, 1.5603, 1.5560,
     &            1.6008, 1.6032, 1.5686 /

      open(unit=11,file='in.mk_sunview.dat',status='old')
      read(11,*) lat
      read(11,*) long
      read(11,*) day
      read(11,*) month
      read(11,*) year
      read(11,*) fhhmm
      close(unit=11)

      ihh = int(fhhmm) / 100
      imm = int(fhhmm) - ihh * 100
      numsec = ihh * 3600 + imm * 60

      fnumsec = real(numsec)

c      call getarg(1 aerosol_d_file)
c
c      open(unit=12,file=aerosol_d_file,atatus='old')
c
c1000  read(12,*,end=2000), itime, 

      call hunt(time, idata, fnumsec, jlo)

      if (jlo .eq. 0) then
        alpha_int = alpha(1)
        beta_int = beta(1)
      else if (jlo .eq. idata) then
        alpha_int = alpha(idata)
        beta_int = beta(idata)
      else
        frctn = (fnumsec - time(jlo)) / (time(jlo+1) - time(jlo))

        alpha_int = alpha(jlo) + frctn * (alpha(jlo+1) - alpha(jlo))
        beta_int = beta(jlo) + frctn * (beta(jlo+1) - beta(jlo))
      end if

      open(unit=13,file='in.lundholm_fit.dat',
     &  status='unknown')
      write(13,100) alpha_int
      write(13,100) beta_int
      close(unit=13)

  100 format(e15.5)
      stop
      end

