      program lundholm_fit

c This code creates input file based on the output file generated by
c mk_in_mf_sunview, in.mk_sunview.dat.

      parameter(idata = 1000)

      real lat, long
      real alpha(idata), beta(idata), seconds(idata)

      integer iseconds(idata)

      character aerosol_d_file*100

      open(unit=11,file='in.mk_sunview.dat',status='old')
      read(11,*) lat
      read(11,*) long
      read(11,*) day
      read(11,*) month
      read(11,*) year
      read(11,*) fhhmm
      close(unit=11)

      ihh = int(fhhmm) / 100
      imm = int(fhhmm) - ihh * 100
      numsec = ihh * 3600 + imm * 60

      fnumsec = real(numsec)

      call getarg(1, aerosol_d_file)

      open(unit=12,file=aerosol_d_file,status='old')

      icount = 1

1000  read(12,*,end=2000) iseconds(icount), alpha(icount), beta(icount)
      seconds(icount) = real(iseconds(icount))

      icount = icount + 1
      goto 1000
   
 2000 iline = icount - 1

      start = real(numsec - 900)
      call hunt(seconds, iline, start, jlo)

      if (jlo .eq. 0) then
        jlo_start = 1
      else
        jlo_start = jlo
      end if

      end = real(numsec + 900)
      call hunt(seconds, iline, end, jlo)

      if (jlo .eq. icount) then
        jlo_end = iline
      else
        jlo_end = jlo
      end if

      tot_alpha = 0.0
      tot_beta = 0.0

      do 2100 j = jlo_start, jlo_end-1
        tot_alpha = tot_alpha + 0.5 * (alpha(j) + alpha(j+1)) 
     &  * (seconds(j+1) - seconds(j))

        tot_beta = tot_beta + 0.5 * (beta(j) + beta(j+1)) 
     &  * (seconds(j+1) - seconds(j))
 2100 continue

      ave_alpha = tot_alpha 
     &  / (seconds(jlo_end) - seconds(jlo_start))
      ave_beta = tot_beta 
     &  / (iseconds(jlo_end) - seconds(jlo_start))

      

      open(unit=13,file='in.lundholm_fit.dat',
     &  status='unknown')
      write(13,100) ave_alpha
      write(13,100) ave_beta
      close(unit=13)

  100 format(e15.5)
      stop
      end

