      subroutine mk_constituents_rayleigh(outfile)

c This program generates a input file, rt1d.constituents.


      integer phasefcn_which, p_explicit_number, p_legendre_number
      integer outfile

      character*50 phasefcn_file
      character*10 phasefcn_format, es




      base_height = 0.0
      top_height = 70000.0
      scale_height = -1.0
      cdensity = -1.0
      tau_abs = -1.0
      tau_sca = -1.0
      tau = -1.0
      sig_ext = -1.0
      sig_sca = -1.0
      sig_abs = -1.0
      w0 = -1.0
      p_g = -1.0
      phasefcn_file = '../ancillary/rayleigh.phase_function.32,'
      phasefcn_format = 'ascii,'
      phasefcn_which = 1
      p_explicit_number = -1
      p_legendre_number = -1
      es = 'none,'

     
      write(outfile,100)
  100 format(1x)

      write(outfile,102)
  102 format(
     &  '[constituents_name]	CONSTITUENT NAME: RayleighScatter,')

      write(outfile,103) base_height
  103 format(
     & '[base_height]		 BASE HEIGHT OF THE CONSTITUENT (in meters):',
     & f10.1,',')

      write(outfile,104) top_height
  104 format(
     &  '[top_height]		  TOP HEIGHT OF THE CONSTITUENT (in meters):',
     &  f10.1,',')

      write(outfile,105) scale_height
  105 format(
     &  '[scale_height]		SCALE HEIGHT OF THE CONSTITUENT (in meters):',
     & f5.1,',')

      write(outfile,106) cdensity
  106 format(
     &  '[cdensity]		NUMBER DENSITY FOR THE CONSTITUENT (#/m^3):',
     &  f10.1,',')

      write(outfile,107) tau_abs
  107 format(
     &  '[*tau_abs] 		TOTAL ABSORPTION OPTICAL DEPTH:',
     &  e15.5,',')

      write(outfile,108) tau_sca
  108 format(
     &  '[*tau_sca] 		TOTAL SCATTERING OPTICAL DEPTH:',
     &  e15.5,',')

      write(outfile,109) tau
  109 format(
     &  '[*tau] 			TOTAL OPTICAL DEPTH:',
     &  e15.5,',')

      write(outfile,110) sig_ext
  110 format(
     &'[*sig_ext]		TOTAL EXTINCTION CROSS-SECTION (micron^2):', 
     & e15.5,',') 

      write(outfile,111) sig_sca
  111 format(
     & '[*sig_sca]		TOTAL SCATTERING CROSS-SECTION (micron^2):', 
     & e15.5,',')

      write(outfile,112) sig_abs
  112 format(
     &  '[*sig_abs]		TOTAL ABSORPTION CROSS-SECTION (micron^2):', 
     & e15.5,',')

      write(outfile,113) w0
  113 format(
     &  '[*w0] 			SINGLE SCATTERING ALBEDO:'
     &  e15.5,',')

      write(outfile,114) p_g
  114 format(
     &  '[*p_g]			ASYMMETRY PARAMETER:',
     &  e15.5,',')

      write(outfile,115) phasefcn_file
  115 format(
     &  '[phasefcn_file]        	PHASE FUNCTION FILE NAME:'
     &  1x,a50)

      write(outfile,116) phasefcn_format
  116 format(
     &  '[phasefcn_format]       PHASE FUNCTION FORMAT:',
     &  1x,a10)

      write(outfile,117) phasefcn_which
  117 format(
     &  '[phasefcn_which]	PHASE FUNCTION REPRESENTATION:',
     & i5,',')

      write(outfile,118) p_explicit_number
  118 format(
     &  '[p_explicit_number]	NUMBER OF ANGLES IN THE PHASE FUNCTION:',
     &  i5,',')

      write(outfile,119) p_legendre_number
  119 format(
     &  '[p_legendre_number]	NUMBER OF LEGENDRE POLYNOMIALS IN THE PHASE 
     &  FUNCTION:',i5,',')

      write(outfile,120) es
  120 format(
     &  '[es] 			SATURATION VAPOR PRESSURE OVER WATER OR ICE:',
     &  1x,a10)

        

      return
      end

