      program mk_input

c This program is to make input file for rt code;
c
c       rt1d.geometry.sunview
c       rt1d.constituents

      parameter(nmax=10)

c     lat - latitude (in degrees and fraction of degrees), p19
c     long - longitude (in degrees and fractions of degrees),p20
c     day - day of the month,p16
c     month - month of year,p17
c     year - year, has to be four digit,p18
c     time - time (hhmm.ss) local standard lst or gmt, p4
c     p5 - time type (0 - lst, 1 - gmt)
c     p6 - apparent noon calculations (1-yes, 0-no)
c     p7 - print (0-none, 1-date, 2-data, 3 - na compar)
c     p8 - approximation (0-full, 1-no planets, 2-no lunar)

      real long, lat
      real base_height(nmax), top_height(nmax), scale_height(nmax)
      real cdensity(nmax)
      real a_theta(nmax), z_theta(nmax)
      real tau(32,nmax), sigmag, blhgt

      integer day, month, year, p5, p6, p7, p8, z_number
      integer tau_abs_flg(nmax), tau_sca_flg(nmax), tau_flg(nmax)
      integer sig_ext_flg(nmax), sig_abs_flg(nmax), w0_flg(nmax)
      integer sig_sca_flg(nmax)
      integer p_g_flg(nmax)
      integer phasefcn_file_flg(nmax), phasefcn_format(nmax)
      integer phasefcn_which(nmax), p_explicit_number(nmax)
      integer p_legendre_number(nmax) 

      character*5 argnum1, argnum2
      character*30 constituents_name(nmax)
      character*10 es(nmax)
      character*70 sdummy1, sdummy2
      character*100 in_constituents_file
 

      call getarg(1, argnum1)

      lgth = len(argnum1)
      
      read(argnum, '(i5)') numb
      write(*,111) numb


      call getarg(1, argnum2)

      lgth = len(argnum2)
      
      read(argnum, '(i5)') n_const
      write(*,112) n_const



      open(unit=10,file='in.mk_input.dat',status='old')

      do 1000 i = 1, numb-1
        read(10,100)
 1000 continue

      read(10,*) day, month, year, long, lat, gmt_time, z_number,
     &  (z_theta(k), a_theta(k), k = 1, z_number),
     &  (constituents_name(j), base_height(j), top_height(j), 
     &   scale_height(j), cdensity(j), tau_abs_flg(j), tau_sca_flg(j),
     &   tau_flg(j), sig_ext_flg(j), sig_sca_flg(j), sig_abs_flg(j),
     &   w0_flg(j), p_g_flg(j), phasefcn_file_flg(j),
     &   phasefcn_format(j), phasefcn_which(j), p_explicit_number(j),
     &   es(j), j = 1, nconst)

      close(unit=10)

c make longitude west is positive
      long = -long
      p5 = 1
      p6 = 0
      p7 = 0
      p8 = 0

      call ephems (lat,long,day,month,year,gmt_time,p5,p6,p7,p8,
     &  suna_theta,sun2earth_distance,sunz_theta,ha,dec)

      open(unit=11,file='rt1d.geometry.sunview.no_header',
     &     status='unknown')

      sunz_number = 1

      write(11,120) sunz_number
      write(11,121) sunz_theta
      write(11,122) sun2earth_distance
      write(11,123) gmt_time
      write(11,124) z_number
      write(11,125) (z_theta(k), a_theta(k), k = 1, z_number) 

  120 format(':', i5, ',')
  121 format(':', f10.5, ',')
  122 format(':', f12.8, ',')
  123 format(':', f10.5, ',')
  124 format(':', i5, ',')
  125 format(':', '(', f10.5, ',', f10.5, ')', ',')

      close(unit=11)


      open(unit=12,file='rt1d.constituents.no_header',
     &     status='unknown')

      do 2000 j = 1, n_const
        if (tau_flg(j) .ne. -1) then
          nlen_const = len(constituents_name(j))
          in_constituents_file(1:nlen_const) = constituents_name(j)
          in_constituents_file(nlen_const+1:nlen_const+8) = 
     &      '.tau.dat'
     
          open(unit=13,file=in_constituents_file,status='old')
          
          read(13,101) sdummy1
          read(13,101) sdummy2
          read(13,*) rn, sigmag, blhgt, ifrq, iref_frq

          do 2100 i = 1, 32
            read(10,*) wave, tau(i,j)
 2100     continue
          close(unit=13)
        endif

        write(12,200) constituents_name(j)
        write(12,201) base_height(j)
        write(12,201) top_height(j)
        write(12,202) scale_height(j)
        write(12,202) cdensity(j)
        write(12,203) tau_abs_flg(j)
        write(12,203) tau_sca_flg(j)
        write(12,204) (tau(i,j), i = 1, 32)
        write(12,203) sig_ext_flg(j)
        write(12,203) sig_sca_flg(j)
        write(12,203) sig_abs_flg(j)
        write(12,203) w0_flg(j)
        write(12,203) p_g_flg(j)
        write(12,203) phasefcn_file_flg(j)

        if (phasefcn_format(j) .eq. 1) then
          write(12,206)
        else
          write(12,203) phasefcn_format(j)
        endif

        write(12,203) phasefcn_which(j)
        write(12,203) p_explicit_number(j)
        write(12,205) es(j)

  200 format(a30)
  201 format(e15.3)
  202 format(f10.3)
  203 format(i10)
  204 format(32f15.5)
  205 format(a10)
  206 format('ascii')

 2000 continue

      close(unit=12)



  100 format(1x)
  101 format(a70)
  111 format(5x,'reading ',i5,'th data') 
  112 format(5x,'You are putting ',i5,'constituents') 

      stop
      end
