      program mk_sunview

c This program is to make input file for rt code;
c
c       rt1d.geometry.sunview
c       rt1d.constituents

      parameter(nmax=10)

c     lat - latitude (in degrees and fraction of degrees), p19
c     long - longitude (in degrees and fractions of degrees),p20
c     day - day of the month,p16
c     month - month of year,p17
c     year - year, has to be four digit,p18
c     time - time (hhmm.ss) local standard lst or gmt, p4
c     p5 - time type (0 - lst, 1 - gmt)
c     p6 - apparent noon calculations (1-yes, 0-no)
c     p7 - print (0-none, 1-date, 2-data, 3 - na compar)
c     p8 - approximation (0-full, 1-no planets, 2-no lunar)

      real long, lat

      integer day, month, year, p5, p6, p7, p8, z_number
      integer sunz_number

      open(unit=10,file='in.mk_sunview.dat',status='old')

      read(10,*) lat
      read(10,*) long
      read(10,*) day
      read(10,*) month
      read(10,*) year
      read(10,*) gmt_time

      close(unit=10)

c make longitude west is positive
      long = -long
      p5 = 1
      p6 = 0
      p7 = 0
      p8 = 0

      call ephems (lat,long,day,month,year,gmt_time,p5,p6,p7,p8,
     &  suna_theta,sun2earth_distance,sunz_theta,ha,dec)

      open(unit=11,file='rt1d.geometry.sunview.no_header',
     &     status='unknown')

      sunz_number = 1
      z_number = 1

      write(11,120) sunz_number
      write(11,121) sunz_theta
      write(11,122) sun2earth_distance
      write(11,123) gmt_time
      write(11,124) z_number
      write(11,125) sunz_theta, suna_theta 

  120 format(':', i5, ',')
  121 format(':', f10.5, ',')
  122 format(':', f12.8, ',')
  123 format(':', f10.1, ',')
  124 format(':', i5, ',')
  125 format(':', '(', f10.5, ',', f10.5, ')', ',')

      close(unit=11)


      stop
      end
